com.tibbo.aggregate.common.security

## Class ServerPermissionChecker

- java.lang.Object
- - com.tibbo.aggregate.common.security.DefaultPermissionChecker
  - - com.tibbo.aggregate.common.security.ServerPermissionChecker

- All Implemented Interfaces:
    PermissionChecker

      public class ServerPermissionChecker
      extends DefaultPermissionChecker

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADMIN_PERMISSIONS`
    `static java.lang.String` | `ENGINEER_PERMISSIONS`
    `static java.lang.String` | `MANAGER_PERMISSIONS`
    `static java.lang.String` | `OBSERVER_PERMISSIONS`
    `static java.lang.String` | `OPERATOR_PERMISSIONS`
    `static int` | `R_X_LEVEL`
    `static java.lang.String` | `R_X_PERMISSIONS`
    `static int` | `RWX_LEVEL`
    `static java.lang.String` | `RWX_PERMISSIONS`

    - ### Fields inherited from class com.tibbo.aggregate.common.security.DefaultPermissionChecker

      `NULL_PERMISSIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerPermissionChecker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permissions` | `getAdminPermissions()`
    `static Permissions` | `getEngineerPermissions()`
    `static Permissions` | `getManagerPermissions()`
    `static Permissions` | `getObserverPermissions()`
    `static Permissions` | `getOperatorPermissions()`

    - ### Methods inherited from class com.tibbo.aggregate.common.security.DefaultPermissionChecker

      `canActivate, canSee, getAllowedPaths, getLevel, getLevelInfo, getNullPermissions, getPermissionLevels, getRolePermissionLevels, has, hasNecessaryLevel, isValid, setPermissionTypes, setRolePermissionTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBSERVER_PERMISSIONS

          public static final java.lang.String OBSERVER_PERMISSIONS

      See Also:
        Constant Field Values

    - #### OPERATOR_PERMISSIONS

          public static final java.lang.String OPERATOR_PERMISSIONS

      See Also:
        Constant Field Values

    - #### MANAGER_PERMISSIONS

          public static final java.lang.String MANAGER_PERMISSIONS

      See Also:
        Constant Field Values

    - #### ENGINEER_PERMISSIONS

          public static final java.lang.String ENGINEER_PERMISSIONS

      See Also:
        Constant Field Values

    - #### ADMIN_PERMISSIONS

          public static final java.lang.String ADMIN_PERMISSIONS

      See Also:
        Constant Field Values

    - #### RWX_PERMISSIONS

          public static final java.lang.String RWX_PERMISSIONS

      See Also:
        Constant Field Values

    - #### R_X_PERMISSIONS

          public static final java.lang.String R_X_PERMISSIONS

      See Also:
        Constant Field Values

    - #### RWX_LEVEL

          public static final int RWX_LEVEL

      See Also:
        Constant Field Values

    - #### R_X_LEVEL

          public static final int R_X_LEVEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerPermissionChecker

          public ServerPermissionChecker()

  - ### Method Detail

    - #### getObserverPermissions

          public static Permissions getObserverPermissions()

    - #### getOperatorPermissions

          public static Permissions getOperatorPermissions()

    - #### getManagerPermissions

          public static Permissions getManagerPermissions()

    - #### getEngineerPermissions

          public static Permissions getEngineerPermissions()

    - #### getAdminPermissions

          public static Permissions getAdminPermissions()